DataCubeControllerCreateParameter Method

POST /DataCube/Parameter/{id} Creates a new parameter on the transform. Parameters for Output Element filtering or Transform setting can be created.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("Parameter")]
public IActionResult CreateParameter(
	Guid id,
	[FromBodyAttribute] ParameterOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the data cube to create the parameter on.
options
Type: Dundas.BI.WebApi.ModelsParameterOptions
The options to build the warehouse.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A status code indicating success or the reason for failure.
See Also